changeset 680:a5a709c6ce93

Added minimal shar based installer for linux.
author Sascha Wilde <wilde@intevation.de>
date Mon, 30 Jun 2014 18:33:26 +0200
parents 237af0c82454
children 5e25159d7025 578860edde53
files CMakeLists.txt packaging/linux-createpackage.sh.in packaging/linux-installer.inc.in
diffstat 3 files changed, 67 insertions(+), 0 deletions(-) [+]
line wrap: on
line diff
--- a/CMakeLists.txt	Mon Jun 30 15:41:13 2014 +0200
+++ b/CMakeLists.txt	Mon Jun 30 18:33:26 2014 +0200
@@ -118,6 +118,8 @@
 
 set(NSS_BASE_DIR "${NSS_BASE_DIR}/..")
 configure_file (packaging/tmp-createpackage.sh.in packaging/tmp-createpackage.sh)
+configure_file (packaging/linux-createpackage.sh.in packaging/linux-createpackage.sh @ONLY)
+configure_file (packaging/linux-installer.inc.in packaging/linux-installer.inc @ONLY)
 
 if (ENABLE_PROFILING)
    configure_file (make-coverage.sh.in make-coverage.sh)
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/packaging/linux-createpackage.sh.in	Mon Jun 30 18:33:26 2014 +0200
@@ -0,0 +1,30 @@
+#!/bin/bash
+# Copyright (C) 2014 by Bundesamt für Sicherheit in der Informationstechnik
+# Software engineering by Intevation GmbH
+#
+# This file is Free Software under the GNU GPL (v>=2)
+# and comes with ABSOLUTELY NO WARRANTY!
+# See LICENSE.txt for details.
+
+TMPDIR=$(mktemp -d)
+
+INSTALLER="@CMAKE_BINARY_DIR@/TrustBridge-@PROJECT_VERSION@.sh"
+
+EXEFILES=("@CMAKE_BINARY_DIR@/cinst/cinst"
+          "@CMAKE_BINARY_DIR@/cinst/mozilla"
+          "@CMAKE_BINARY_DIR@/ui/trustbridge")
+
+# Make installation in TMPDIR, this is what we will put into the
+# shar-archive.
+echo "Using $TMPDIR for temporary installation to build installer..."
+install -d "$TMPDIR/bin"
+install "${EXEFILES[@]}" "$TMPDIR/bin" 
+
+echo "Building $INSTALLER..."
+cat "@CMAKE_BINARY_DIR@/packaging/linux-installer.inc" >"$INSTALLER"
+cd "$TMPDIR"
+shar -z -B bin/* >>"$INSTALLER"
+chmod +x "$INSTALLER"
+
+echo "Cleaning up..."
+rm -r "$TMPDIR"
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/packaging/linux-installer.inc.in	Mon Jun 30 18:33:26 2014 +0200
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+PREFIX=/usr/local
+
+fatal()
+{
+  echo "$1" >&2
+  echo "Installation failed." >&2
+  exit 1
+}
+
+cat <<EOF
+------------------------------------------------------------------------
+
+   TrustBridge - Installer
+   Version @PROJECT_VERSION@
+
+------------------------------------------------------------------------
+EOF
+
+echo -n "Select installation prefix for TrustBridge [${PREFIX}]: "
+read -e path
+
+echo "Installing to '$path':"
+
+if [ ! -d "$path" ] ; then
+    echo "creating installation directory ..."
+    install -d "$path" || fatal "Could not create '$path'!"
+fi
+
+echo "unpacking files ..."
+cd "$path"
+
+# ----------------------------------------------------------------------
+# regular shar archive appended here:

http://wald.intevation.org/projects/trustbridge/